Bug 474523 - gconf doesn't work well with su (but works fine with su -)
gconf doesn't work well with su (but works fine with su -)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf (Show other bugs)
10
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 474944 488878 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 04:54 EST by jatin khatri
Modified: 2009-12-18 02:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:08:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 555745 None None None Never

  None (edit)
Description jatin khatri 2008-12-04 04:54:50 EST
Description of problem:

Gconf error when try to run  "su root" command 





Version-Release number of selected component (if applicable):FC10


How reproducible:


Steps to Reproduce:
1.
2.
3.
----------------------------  
Actual results:
------------------------------

(nautilus:2879): Eel-WARNING **: GConf error:
  Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)



--------------------------
Expected results:
--------------------------------


It should run the file browser as  root 

Additional info:
Comment 1 Ray Strode [halfline] 2008-12-11 16:24:50 EST
*** Bug 474944 has been marked as a duplicate of this bug. ***
Comment 2 Lindsay Murphy 2008-12-15 01:29:25 EST
I can confirm this bug in F10 with all updates installed as of December 15.  This bug also includes a slightly different sub-variant, which affects all other GNOME programs (see below).

Steps to Reproduce:

Issuing "su" and then "gedit" (or any other GNOME program that isn't Nautilus) from the command line results in the following:

EggSMClient-WARNING **: Failed to connect to the session manager: None of the authentication protocols specified are supported

GConf Error: Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)
**Multiple repetitions of this error message spam up the terminal window**

Gedit then opens and behaves as root.  

Expected Behavior:

Program opens and behaves as root, without the error messages.

Other Information:

Issuing "su -" instead of "su" stops the error messages.  I don't know if the GConf problems are still occurring "behind the scenes."
Comment 3 Cole Robinson 2009-03-10 16:40:52 EDT
*** Bug 488878 has been marked as a duplicate of this bug. ***
Comment 4 Michal Pomorski 2009-05-10 09:01:03 EDT
This is still a bug in Fedora 11 preview.
Comment 5 Trevin Beattie 2009-10-23 18:02:21 EDT
I just got a similar message in a pop-up window while beta testing Fedora 12.  The only difference is in the details:

"Details - 1: Could not send message to GConf daemon: Message did not receive a reply (timeout by message bus)"

The message popped up while I was switching between Evolution's Mail and Calendar views, but I've also seen GConf error messages many times in the logwatch report on my home computer (running Fedora 10).  I can't tell where it's coming from.
Comment 6 Bug Zapper 2009-11-18 04:26:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Serge Droz 2009-12-06 15:58:52 EST
Is this bug still active? I got bitten by https://bugzilla.redhat.com/show_bug.cgi?id=488878 which is this bug in disguise.

Fedora 12 x86_64
Comment 8 Bug Zapper 2009-12-18 02:08:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.